<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8"/>
    <title>Contrat du {{ date_debut_contrat|date:"d/m/Y" }} au {{ date_fin_contrat|date:"d/m/Y" }}</title>
    <style type="text/css">
        @page {
            size: A4;
            margin: 2cm 1.5cm;
            @frame footer {
                -pdf-frame-content: footer;
                bottom: 0cm;
                height: 1.5cm;
                right: 0cm;
                width: 3.5cm;
            }
        }

        body {
            font-family: sans-serif;
            font-size: 16px;
        }

        h1 {
            text-transform: uppercase;
            text-decoration: underline;
            color: #008000;
            font-size: 35px;
            font-weight: normal;
            margin-bottom: 0.5cm;
        }

        h2 {
            color: #ff0000;
            font-size: 25px;
            margin-bottom: 0.3cm;
        }

        h3 {
            font-size: 100%;
            text-decoration: underline;
            margin-bottom: 0.1cm;
            font-weight: normal;
        }

        .green {
            color: #008000;
        }

        .red {
            color: #ff0000;
        }

        .large {
            font-size: 120%;
        }

        .bold {
            font-weight: bold;
        }

        ul {
            list-style-type: none;
        }

        table {
            border: 1px black solid;
            border-collapse: collapse;
        }

        th, td {
            vertical-align: center;
            padding: 3px 2px 2px 2px;
            line-height: 0.8em;
        }

        th {
            text-align: left;
        }
    </style>
</head>
<body>

<h1>CONTRAT D'ENGAGEMENT SOLIDAIRE</h1>

<p class="green large">
    Pour la distribution de produits locaux <br>
    dans le cadre de l'AMAP INS'AMAP
</p>

<p>
    Le présent contrat est signé entre :<br>
    <b>Madame/Monsieur :</b> {{ souscripteur.first_name }} {{ souscripteur.last_name }}<br>

    <i>Ci-après dénommé l'amapien.ne</i><br>
    D'une part, <br>
    <br>
    Et,<br>
    <b>La ferme :</b> {{ ferme.nom }} <br>
    Production de {{ ferme.type_activite }} <br>
    Nom de l'entité juridique : {{ ferme.entite_juridique }} <br>
    Résidant : {{ ferme.adresse }} <br>
    <i>Ci-après dénommé la ferme</i> <br>
    D'autre part <br>
    <br>
</p>


<h2>Article 1 : L'objet du contrat</h2>

<p>
    Le présent contrat a pour objet de déterminer les modalités et les conditions de
    l'engagement des parties signataires du présent contrat en vue de :

<ul>
    <li>
        – Soutenir l'exploitation agricole et/ou le producteur {{ ferme.nom }}
    </li>
    <li>
        – Fournir à l’amapien.ne des paniers de saison et de qualité
    </li>
</ul>
<br>

Le tout dans le respect du texte et de l'esprit de la Charte des AMAP.
</p>


<h2>Article 2 : Engagement de la ferme</h2>

<p>
    Conformément à la Charte des AMAP, la ferme s’engage à fournir à l’amapien.ne des
    produits de qualité en termes gustatif et sanitaire et issus d’une exploitation respectueuse de
    la nature et de l’environnement. <br>
    Elle s’engage à livrer ses produits aux livraisons prévues pendant la durée du
    contrat (cf article 4).<br>
</p>

<p>
    La livraison s’effectue à/au : <b>MDE INSA Lyon</b> 23-17 Avenue des Arts 69100 VILLEURBANNE <br>
    Le lieu est couvert par une assurance souscrite par l’AMAP ou par le réseau local si ce dernier
    en contractualise une pour les AMAP de son territoire. L’assurance du réseau couvre le lieu
    de livraison, à condition que l’AMAP soit à jour de sa cotisation annuelle. <br>
    La ferme s’engage à être présente au moment des livraisons et à être transparente et
    disponible pour discuter avec l’amapien.ne de la vie de la ferme. <br>
</p>


<h2>Article 3 : Engagement de l'amapien.ne</h2>

<p>
    L’amapien.ne s’engage : <br>

    <ul>
        <li>– à respecter la Charte des AMAP.</li>
        <li>– à récupérer ses paniers aux moments de leurs livraisons.</li>
    </ul> <br>

    Conformément à la Charte des AMAP, l’amapien.ne accepte les risques liés aux aléas de la production.
</p>


<h2>Article 4 : Durée du contrat</h2>

<p>
    Le contrat court du <b>{{ date_debut_contrat|date:"d/m/Y" }}</b> au <b>{{ date_fin_contrat|date:"d/m/Y" }}</b> et comprend {{ nb_livraisons_contrat }} livraisons.
</p>


<h2>Article 5 : Contenu et prix du panier</h2>

<p>
    Le panier contient des produits de saison. La valeur du panier est une moyenne annuelle.
</p>

<h3>5.1 La ferme s'engage</h3>

{% comment %} Produits disponibles sur la période du contrat {% endcomment %}
{% for produit in produits_disponibles %}
    <br>
    <b>Type de panier :</b> {{ produit.nom }} <b>au prix de référence TTC de :</b> {{ produit.tarif_reference }} €<br>
    <br>

    La ferme s'engage aux dates suivantes :<br>

    <table>
        <thead>
            <tr>
                <th>Date</th>
                <th>Unités disponibles</th>
            </tr>
        </thead>
        <tbody>
            {% for inscription in inscriptions|get_item:produit.id %}
                <tr>
                    <td>{{ inscription.date|date:"d/m/Y" }}</td>
                    <td>{{ inscription.unites_dispo }}</td>
                </tr>
            {% endfor %}
        </tbody>
    </table>
    <br>
{% endfor %}
<br>

<h3>5.2 L'amapien.ne s'engage</h3>

{% for produit in produits_commandes %}
    <br>
    <b>Pour le type de panier :</b> {{ produit.nom }}
    <br>

    L'amapien.ne s'engage au(x) date(s) suivante(s) :<br>

    <table>
        <thead>
            <tr>
                <th>Date</th>
                <th>Unités commandées</th>
            </tr>
        </thead>
        <tbody>
            {% for inscription in inscriptions_adherent|get_item:produit.id %}
                <tr>
                    <td>{{ inscription.date|date:"d/m/Y" }}</td>
                    <td>{{ inscription.unites_commandees }}</td>
                </tr>
            {% endfor %}
        </tbody>
    </table>
    <br>
{% endfor %}

<h3>5.3 Modalités de paiement</h3>

Le règlement sera effectué selon les modalités suivantes :<br>

{{ ferme.infos_paiement_html | safe }}<br>

<br>
<b>Pour un montant total de : {{ contrat.valeur_totale|floatformat:2 }} €</b>

<h2>Article 6 : Absences</h2>

<h3>6.1 Absences imprévues</h3>

<p>
    Le panier est considéré comme "perdu" si l'amapien.ne n'a pas manifesté son absence et n'a
    pas pu prendre ses dispositions pour le faire récupérer.
</p>

<h3>6.2 Absences prévues</h3>

<p>
    <i>Côté ferme :</i><br>
    La ferme peut prévoir des dates de non livraison, indiquées dans les contrats.
</p>

<p>
    <i class="red">[Attention,  dans  le  cadre  du  respect  de  la  charte,  les  non-livraisons  doivent  se  faire  au
    bénéfice du confort de travail de la ferme sans remettre en cause le soutien des amapien.nes
    en cas d’aléas de production]</i>
</p>

<p>
    <i>Côté amapien.ne :</i><br>
    En accord avec l’organisation implicite de l'Ins'AMAP et en prévenant à l’avance et en accord
    avec la ferme, l’amapien.ne peut annuler une livraison à une date et récupérer une
    double livraison à une date convenue. Il n’y a pas de modification de volume de livraison sur
    le contrat initial.
</p>


<h2>Article 7 : Rupture anticipée du contrat</h2>

<h3>Cas de non-respect des termes du contrat :</h3>

<p>
    En cas de non-respect des termes du contrat d’engagement par l’une ou l’autre des parties,
    le présent contrat pourra être rompu après un préavis de 1 mois.<br>
    La ferme  s’engage  à  livrer  les  livraisons  dues  durant  la  période  de  préavis.  Par
    ailleurs, les sommes correspondantes à la période ultérieure au préavis sont restituées à
    l’amapien.ne.
</p>

<h3>Option : Cas de force majeure</h3>

<p>
    Le contrat ne peut être résilié par l’amapien.ne qu’en cas de force majeure avérée
    (déménagement, changement non prévisible et conséquent de la composition de la famille
    ou de la situation sociale). <br>
    Il  ne  peut  être  résilié  par  la ferme  qu’en  cas  de  force  majeure  avérée  (perte  de
    l’exploitation,  changement important de la situation familiale entraînant une impossibilité de
    production.) <br>
    Si  la  rupture  intervient  du  fait  de  l’amapien.ne,  il/elle  doit  informer  l’AMAP  afin  que  la
    procédure retenue dans ce cas soit mise en place pour lui succéder au présent contrat dans
    ses droits et obligations, avec l’accord de la ferme. <br>
    En cas de force majeure par l’une ou l’autre des parties,  le présent contrat pourra être
    rompu après un préavis de un mois. <br>
    La ferme s’engage à livrer les produits dus durant la période de préavis. Par ailleurs,
    les sommes correspondant à la période ultérieure au préavis sont restituées à l’amapien.ne.
</p>

<h3>Option : Nouvel.le amapien.ne ne se présentant pas à sa première distributuion</h3>

<p>
    En cas de non récupération du premier panier, l’amapien.ne est contacté.e par mail à l’adresse renseignée lors de la signature du contrat.<br>
    En cas d’absence de réponse de la part de l’amapien.ne dans un délai de quarante-huit heures, 
    le contrat est automatiquement supprimé et l’amapien.ne en est informé.e par mail.
</p>


<h2>Article 8 : Litiges</h2>

<p>
    En cas de litige relatif à l’application ou à l’interprétation du présent contrat d’engagement, il
    sera fait appel, en premier lieu, à la médiation du Réseau des AMAP de rattachement de
    l’AMAP s’il en existe un sur le territoire de l’AMAP. <br>
    En cas d’échec de la médiation, l’article 7 du présent contrat d’engagement s’appliquera de
    plein droit. <br>
    Les tribunaux compétents pourront alors prendre connaissance de tout litige persistant. <br>
</p>


<h2>Article 9 : Autre.s élément.s au contrat</h2>

<p>
    Ins'AMAP a la vocation de s'adresser aux étudiant·e·s par la mise en place du présent contrat.
    Ainsi,  Ins'AMAP  s'autorise  le  droit  de  réserver  sa  ratification  uniquement  à  des  étudiant·e·s
    (INSA ou non, dans la limite des places disponibles).
</p>

<p>
    L'amapien·ne s'engage à :<br>
    – verser une cotisation annuelle de {{ tarif_adhesion }} à Ins'AMAP servant à l'adhésion au réseau des Amaps
    AuRA et à l'autofinancement de l'AMAP. Il ou elle prend note qu'en tant
    qu'adhérent·e à Ins'AMAP il ou elle est considéré·e comme membre à l'association ALTE²S, dont les statuts sont disponibles sur demande ; <br>
    – récupérer son panier chaque semaine aux horaires et lieux indiqués sur les livraisons auxquelles il ou elle s'est inscrit·e.
    Si il ou elle ne peut pas récupérer lui ou elle même son
    panier, il ou elle s'engage à trouver un·e remplaçant·e qu'il ou elle désignera au responsable
    de la livraison. En cas d'oubli, le panier sera redistribué et non remboursé aux personnes
    présentes en fin de livraison ; <br>
    – se porter volontaire pour tenir une permanence lors des livraisons au moins une fois dans
    l'année ; <br>
    – reconnaître les aléas de la production (intempéries, ravageurs, livraisons) et, en tant que
    consommateur·rice, accepter les risques liés à ces aléas ;
</p>

<p>
    MESURES SPÉCIALES PANDÉMIE <br>
    En cas de situation sanitaire exceptionnelle, l'amapien·ne : <br>
    – s'engage à respecter les gestes barrières en venant récupérer son panier avec un masque,
    et en conservant une distance suffisante avec les bénévoles et les autres amapien.es <br>
    –  accepte  l'éventualité  de  voir  les  heures  ou  le  lieu  des  livraisons  habituels  modifiés  afin  de
    respecter les mesures prises par le gouvernement (couvre-feu, confinement, ...).
</p>

<p>
    Ins'AMAP s'engage de son côté <br>
    – à tenir les amapiens·nes informé.es au plus tôt possible des modifications de lieu ou d'horaire
    liées au mesures gouvernementales <br>
    –  à  communiquer  avec  les  fermes  afin  d'assurer  au  maximum  les
    livraisons.<br>
</p>

<br>

<p>
    Fait à 69100, VILLEURBANNE le
    {% if contrat.date_signature %}
        {{ contrat.date_signature|date:"d/m/Y" }}
    {% else %}
    {% now "d/m/Y" %}
    {% endif %} <br>
</p>

<table style="border: 0;">
    <thead>
        <tr>
            <td>L'amapien.ne</td>
            <td>La ferme</td>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td>{{ souscripteur.first_name }} {{ souscripteur.last_name }}</td>
            <td>{{ ferme.representant.first_name }} {{ ferme.representant.last_name }}</td>
        </tr>
    </tbody>
</table>

{% comment %}
{% for inscription in inscriptions_adherent %}
    {{ inscription.distribution.date_heure }} <br>
{% endfor %}
{% endcomment %}

<div id="footer">
    Page
    <pdf:pagenumber/>/<pdf:pagecount/>
</div>
</body>
</html>